[ARVADOS-DEV] updated: e1d3dce509cc5e139ca6de2c3adc96c9f8e23cf6

git at public.curoverse.com git at public.curoverse.com
Fri Jan 15 09:18:23 EST 2016


Summary of changes:
 arvbox/bin/arvbox                                |  9 ++++++++-
 arvbox/lib/arvbox/docker/service/api/run-service |  1 +
 arvbox/lib/arvbox/docker/service/docker/run      | 19 ++++++++-----------
 3 files changed, 17 insertions(+), 12 deletions(-)

       via  e1d3dce509cc5e139ca6de2c3adc96c9f8e23cf6 (commit)
      from  53b5baa5eda1499e4b5c15f71adefc3b85a8c71c (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit e1d3dce509cc5e139ca6de2c3adc96c9f8e23cf6
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Fri Jan 15 09:18:21 2016 -0500

    8080: Add unsupported error if /sys/fs/cgroups not found (e.g. Centos6).  Set
    default_replication to 1.

diff --git a/arvbox/bin/arvbox b/arvbox/bin/arvbox
index 691b79d..3e765db 100755
--- a/arvbox/bin/arvbox
+++ b/arvbox/bin/arvbox
@@ -2,7 +2,14 @@
 
 set -e
 
-if ! which docker >/dev/null 2>/dev/null ; then 
+if ! test -d /sys/fs/cgroup ; then
+     echo "Arvbox requires cgroups to be mounted at /sys/fs/cgroup in order to use"
+     echo "Docker-in-Docker.  Older operating systems that put cgroups in other"
+     echo "places (such as /cgroup) are not supported.""
+     exit 1
+fi
+
+if ! which docker >/dev/null 2>/dev/null ; then
   echo "Arvbox requires Docker.  To install, run the following command as root:"
   echo "curl -sSL https://get.docker.com/ | sh"
   exit 1
diff --git a/arvbox/lib/arvbox/docker/service/api/run-service b/arvbox/lib/arvbox/docker/service/api/run-service
index aa41f6b..31f90d1 100755
--- a/arvbox/lib/arvbox/docker/service/api/run-service
+++ b/arvbox/lib/arvbox/docker/service/api/run-service
@@ -61,6 +61,7 @@ development:
   auto_setup_new_users: true
   auto_setup_new_users_with_vm_uuid: $vm_uuid
   auto_setup_new_users_with_repository: true
+  default_collection_replication: 1
 EOF
 
 if ! test -f /var/lib/arvados/api_database_pw ; then
diff --git a/arvbox/lib/arvbox/docker/service/docker/run b/arvbox/lib/arvbox/docker/service/docker/run
index 67bd58f..1ecdc16 100755
--- a/arvbox/lib/arvbox/docker/service/docker/run
+++ b/arvbox/lib/arvbox/docker/service/docker/run
@@ -10,17 +10,14 @@ dmsetup mknodes
 : {LOG:=stdio}
 
 # First, make sure that cgroups are mounted correctly.
-for CGROUP in /sys/fs/cgroup /cgroup ; do
-    [ -d $CGROUP ] || mkdir $CGROUP
-
-    if mountpoint -q $CGROUP ; then
-        break
-    else
-	if mount -n -t tmpfs -o uid=0,gid=0,mode=0755 cgroup $CGROUP ; then
-            break
-        fi
-    fi
-done
+CGROUP=/sys/fs/cgroup
+[ -d $CGROUP ] || mkdir $CGROUP
+
+if mountpoint -q $CGROUP ; then
+    break
+else
+    mount -n -t tmpfs -o uid=0,gid=0,mode=0755 cgroup $CGROUP
+fi
 
 if ! mountpoint -q $CGROUP ; then
     echo "Could not find or mount cgroups. Tried /sys/fs/cgroup and /cgroup.  Did you use --privileged?"

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list